## ssh-hostkey 1.0.4

=== Makefile ===
PROJECT = ssh-hostkey
VERSION = 1.0.4

PACKAGE = $(shell dpkg-parsechangelog -S Source)_$(shell dpkg-parsechangelog -S Version)
CHANGES = ../$(PACKAGE)_$(shell dpkg-architecture -qDEB_HOST_ARCH).changes

PREFIX = $(if $(DEB_BUILD_ARCH),$(DESTDIR)/usr,/usr/machine)

BINDIR = $(PREFIX)/sbin

TARGETS = ssh-hostkey combine_ssh_known_hosts

#INSTALL = /usr/machine/bin/install -c -p
INSTALL_SCRIPT = $(INSTALL) -m 755

.PHONY: all install clean dist deb

all: $(TARGETS)

install: all
	test -d $(BINDIR) || mkdir -p $(BINDIR)
	$(INSTALL_SCRIPT) $(TARGETS) $(BINDIR)

clean:

dist: clean
	cd ..; 	tar cf - $(PROJECT)-$(VERSION) | bzip2 >$(PROJECT)-$(VERSION).tar.bz2

deb $(CHANGES): $(MAKEFILE_LIST) debian/* debian/*/* $(TARGETS)
	cme check -strict dpkg
	env LC_ALL=C.UTF-8 dpkg-buildpackage -I -I.old --check-command=lintian --check-option=-i --check-option=-I --check-option=--suppress-tags-from-file=debian/changes/lintian-overrides -tc

dput: $(CHANGES)
	dput $(CHANGES) && rm -f ../$(PACKAGE)[_.]*

=== debian/changelog ===
ssh-hostkey (1.0.4) bullseye bookworm trixie forky duke; urgency=medium

  * ssh-hostkey: Configurable location for ssh_known_hosts

 -- Andreas Ley <andreas.ley@kit.edu>  Mon, 15 Dec 2025 19:36:44 +0100

ssh-hostkey (1.0.3) stretch buster bullseye bookworm; urgency=medium

  * combine_ssh_known_hosts now handles multiple key occurrences

 -- Andreas Ley <andreas.ley@kit.edu>  Sat, 28 Mar 2020 02:53:39 +0100

ssh-hostkey (1.0.2) stretch buster bullseye bookworm; urgency=medium

  * Added -s option

 -- Andreas Ley <andreas.ley@kit.edu>  Fri, 24 Jan 2020 14:47:59 +0100

ssh-hostkey (1.0.1) stretch buster bullseye bookworm; urgency=medium

  * Initial Release.

 -- Andreas Ley <andreas.ley@kit.edu>  Thu, 23 Jan 2020 17:36:53 +0100

=== debian/control ===
Source: ssh-hostkey
Maintainer: Andreas Ley <andreas.ley@kit.edu>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: http://andy.scc.kit.edu/source/Local/ssh-hostkey-1.0.4/

Package: ssh-hostkey
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         bind9-host,
         openssh-client
Description: Add hostkeys to /etc/ssh/ssh_known_hosts
 Fetches ssh hostkeys from remote machines and adds them (possibly with IP
 addresses and short names) to /etc/ssh/ssh_known_hosts
